Hard Drive Inspector Professional revision history

Version history

Legend

+ New feature

o Minor change

!! Bug fix

Version 4.35 build #244 July 27, 2015
+   added the support of the Buffalo MiniStation Stealth HD-PCTU2 external drives

Version 4.33 build #240 June 23, 2015
+   added the support of the Seagate Backup Plus Slim external drives

Version 4.32 build #235 April 15, 2015
+   added the support of the Initio Thermaltake BlacX external drives

Version 4.31 build #229 March 26, 2015
+   added the support of the Mediasonic ProBox H82-SU3S2 (port multiplier)

Version 4.30 build #225 February 05, 2015
+   added the support of the WD Elements SE 1TB external drives

Version 4.29 build #220 January 14, 2015
+   added the support of the Samsung M2 Portable 3.0 external drives

Version 4.28 build #215 July 07, 2014
+   added the support of the Seagate Backup Plus Desktop USB 3.0 external drives
+   application tested on Windows Server 2012

Version 4.27 build #210 April 24, 2014
+   added the support of the PQI H560 external drives

Version 4.26 build #208 March 24, 2014
+   added the support of the Imation Odyssey external USB docks

Version 4.25 build #205 March 03, 2014
+   added the support of the Intenso Memory Station 2,5 external drives

Version 4.24 build #202 February 11, 2014
+   added the support of the ASMedia USB 3.0 external drives

Version 4.23 build #198 January 13, 2014
+   added the support of the MEDION HDDrive-n-GO external drives

Version 4.22 build #193 December 25, 2013
+   added the support of the RaidSonic ICY BOX IB-110StU3-B and Sharkoon SATA QuickPort H3 external drives

Version 4.21 build #189 December 11, 2013
+   added the support of the Samsung M3 Portable USB 3.0 external drives

Version 4.20 build #185 November 15, 2013
+   added the support of the LaCie Rugged Mini USB 3.0 external drives

Version 4.19 build #182 October 21, 2013
+   added the support of the WD My Book Studio II external drives

Version 4.18 build #180 October 09, 2013
+   added the support Fujitsu/Zalman ZM-VE300 external drives

Version 4.17 build #174 August 25, 2013
+   added the support Philips SDE3273FC/97 2.5 external drives

Version 4.16 build #170 July 11, 2013
+   added the support the USB: LaCie minimus USB 3.0 external drives

Version 4.15 build #168 June 04, 2013
+   added the support the Iomega GDHDU2 USB 3.0 external drives

Version 4.14 build #165 May 13, 2013
+   added the support the Seagate FreeAgent GoFlex Desk USB 3.0 external drives

Version 4.13 build #160 March 10, 2013
+   added the support the NexStar CX USB enclosures
o   remove Windows 2000 support

Version 4.12 build #155 February 10, 2013
+   added the support the external drives based on the Prolific 3507 chip
+   added the support the Maxtor BlackArmor Portable external drives

Version 4.11 build #148 December 11, 2012
+   added the support the Freecom Mobile Drive XXS external drives

Version 4.1 build #143 November 26, 2012
+   added the support the LaCie Little Disk external drives

Version 4.00, build #137 October 24, 2012
+   added the support the Hitachi Touro Desk 3.0 external drives
+   added the support the HP Desktop HD BD07 external drives
+   added the support the A-DATA DashDrive external drives
+   application tested on Windows 8

Version 3.99, build #441 May 25, 2012
+   added the support the Cowon iAudio X5

Version 3.98, build #438 April 23, 2012
+   added the support the Toshiba Stor.E Steel series external drives
+   added the support the Seagate Expansion external drives

Version 3.97, build #434 March 6, 2012
+   added the support the Seagate FreeAgent Go Flex Desk USB 3.0 external drives
+   added the support the Samsung S2 Portable external drives

Version 3.96, build #430 February 01, 2012
+   added the support the Toshiba Canvio 500GB external drives

Version 3.95, build #428 January 12, 2012
+   added the support the WD My Book Essential USB 3.0 3TB external drives

Version 3.94, build #425 November 18, 2011
+   added the support the Samsung G2 Portable USB external drives
+   added the support the Verbatim Portable Hard Drive 500Gb eSATA & USB 2.0 Combo external drives

Version 3.93, build #421 October 21, 2011
+   added the support the Seagate FreeAgent Go Flex USB external drives
+   added the support the Samsung Story Station 3.0 USB external drives

Version 3.92, build #417 August 04, 2011
+   added the support the Enclosure from Kingston SSDNow notebook upgrade kit
+   added the support the LaCie rikiki USB 3.0 external drives

Version 3.91, build #411 June 06, 2011
+   added the support of Intel SSD drives
+   added the support of iRiver iHP-120/140 MP3 Player
+   added the support of ASMedia ASM1051 external drives

Version 3.90, build #407 May 19, 2011
+   added the support of Samsung SSD drives
+   added the support of Iomega MDHD-UE USB external drives

Version 3.89, build #403 April 11, 2011
+   added the support of Super Top generic USB enclosures
+   added the support of SandForce SSD drives

Version 3.88, build #397 March 1, 2011
+   added the support of WD My Passport 0730 and A-DATA SH93 external drives
+   added the support of Crucial SSD drives

Version 3.87, build #393 December 23, 2010
+   added the support of WD Elements Desktop 2TB and Iomega LDHD-UP external drives

Version 3.86, build #389 November 17, 2010
+   added the support of SunPlus 0x04fc:0x0c05 external drives

Version 3.85, build #372 October 11, 2010
+   added the support of Buffalo JustStore Portable HD-PVU2 external drives

Version 3.84, build #364 August 10, 2010
+   added the support of WD My Passport Portable external drives

Version 3.83, build #361 July 22, 2010
+   added the support of Verbatim FW/USB160 external drives

Version 3.82, build #358 July 05, 2010
+   added the support of Iomega MDHD500-U external drives

Version 3.81, build #355 June 15, 2010
+   added the support of Genesys Logic and Seagate FreeAgent Go FW external drives

Version 3.80, build #352 May 24, 2010
+   added the support of LaCie with JMicron and JMicron (0x2352) external drives
o   renewed Finnish language (thanks to Vesa Juusola)

Version 3.70, build #337 April 26, 2010
+   added the support of Hitachi SimpleTech 1TB and WD My Book ES external drives

Version 3.60, build #321 March 31, 2010
+   added the support of LaCie Desktop Hard Drive/Samsung Story Station external drives

Version 3.50, build #307 February 25, 2010
+   added the support of Seagate Expansion Portable external drives

Version 3.40, build #287 January 29, 2010
+   added the support of WD My Passport (IDE) and Seagate FreeAgent Desktop external drives

Version 3.35, build #279 January 12, 2010
+   added the support of WD My Passport Elite and Toshiba PX1270E-1G16 external drives

Version 3.33, build #263 December 4, 2009
+   added the support of WD My Passport 070A and WD My Passport Essential external drives

Version 3.32, build #259 November 11, 2009
+   added the support of Freecom Hard Drive XS and Toshiba PX1396E-3T01 external drives

Version 3.31, build #255 October 10, 2009
+   added the support of Maxtor OneTouch 4 Mini/Maxtor Basics Portable drives external drives

Version 3.30, build #250 September 14, 2009
+   added the support of the Silicon Image Sil 0680 IDE controller and Sil 3112/3114/3132/3512 SATA controllers
+   added the support of the Initio external drives/Lacie hard disk Neil Poulton design drives

Version 3.28, build #241 August 6, 2009
+   added the support of Seagate FreeAgent Desk drives
+   added Serbian language (thanks to Ceca i Milan)
o   renewed Armenian language (thanks to Hrant Ohanyan)

Version 3.27, build #238 June 26, 2009
+   application tested on Windows 7 RC1 OS
+   added the support of Western Digital Elements Desktop and WDE1UBK drives

Version 3.26, build #235 May 26, 2009
+   added the support of Maxtor OneTouch 4 drives external drives

Version 3.25, build #231 May 5, 2009
+   added the support of USB/eSATA disks based on the SunPlusIT chips
!!  fixed the bug when BSOD appeared during the connecting of the Sony Ericsson W810 cell phone to the PC

Version 3.21, build #217 April 6, 2009
+   added the support of many USB/eSATA disks based on the JMicron chips

Version 3.12, build #211 March 12, 2009
+   added Danish language (thanks to Mogens Dreier)
!!  fixed the bug when HDI didn't show S.M.A.R.T. info in the case when HDD didn't report the S.M.A.R.T. threshold values

Version 3.11, build #207 February 14, 2009
+   renewed Dutch-Belgium language (thanks to Paul Lowagie)

Version 3.1, build #201 January 28, 2009
+   added Turkish language (thanks to Burak Erdogan)

Version 3.0, build #198 December 18, 2008
+   added detecting and displaying new disk features (free-fall control, NV cache size)
o   renewed Finnish language (thanks to Vesa Juusola)

Version 3.0, build #195 November 18, 2008
o   some internal procedures and algorithms improved
!!  fixed the drawing problem of the disk temperature in the General Info view

Version 3.0, build #194 November 6, 2008
+   added the support of the 3Ware 8xxx and 9xxx Series RAID controllers
+   added the support of the SCSI drives
+   added the support of the Mtron SSD devices
o   some minor design changes were made
o   CPU identification algorithm improved
o   help file improved
o   some internal procedures and algorithms improved

Version 2.102, build #486 October 1, 2008

o   some interface elements has been redesigned

Version 2.101, build #483 September 15, 2008

o   some internal procedures and algorithms improved
!!  fixed the bug in HDD Info Service when HDI couldn't get S.M.A.R.T. info in some rare cases

Version 2.100, build #481 August 28, 2008

o   S.M.A.R.T. attributes history chart has been redesigned

Version 2.99, build #477 August 7, 2008

o   renewed German language (thanks to Dieter Wellmann)
o   some internal procedures and algorithms improved

Version 2.98, build #475 July 15, 2008

+   added Finnish language (thanks to Vesa Juusola)
+   added the support of the new IOCTLs for getting S.M.A.R.T. data from IDE (ATA/SATA) drives
o   application tested on Windows 2008 Server OS
!!  fixed the serious bug which made the application crash in the case when the Desktop color depth was not equal to 32 bit
!!  fixed the problem when temperature value in the "Health Summary" tab was not repainted in some cases

Version 2.95, build #471 May 11, 2008

+   added Korean language (thanks to Jung Kyu Park)

Version 2.90, build #467 April 11, 2008

+   added Farsi language (thanks to Ali Neamati)

Version 2.85, build #470 March 15, 2008

+   renewed Portuguese-Brazil language (thanks to Rossano Ed)

Version 2.80, build #464 February 27, 2008

+   added the support of Quik Tech Solutions USB storage adapters

Version 2.70, build #459 February 12, 2008

+   added the support of Fujitsu HandyDrive USB disks

Version 2.63, build #451 January 28, 2008

o   HTML and TXT reports improved

Version 2.62, build #447 January 7, 2008

+   added Romanian language (thanks to Alexandru Butoi)
o   changed the PowerMode function behaviour in the Hard Drive Inspector for Notebooks edition. When SATA HDD supported the "Receipt of host-initiated interface power management request" and "Device initiating interface power management" SATA capabilities then the device might be always in the "StandBy" power mode so Hard Drive Inspector could not show the full HDD info.


Version 2.61, build #441 December 2, 2007

!!  fixed the error when you received the error massage "There was an unknown error during the 'ReloadHDDInfo' method's execution. The error was 0x80004005.Unexpected error." in the case of the erroneous HDD Info Service's installation procedure

Version 2.60, build #440 November 24, 2007

o   some internal procedures and algorithms improved

Version 2.50, build #435 September 18, 2007

o   renewed Russian language

Version 2.47, build #427 August 23, 2007

o   some internal procedures and algorithms improved

Version 2.46, build #423 August 7, 2007

+   added Polish language (thanks to Robert Lubinski)

Version 2.45, build #420 July 18, 2007

+   added Indonesian language (thanks to Yohanes Kurniawan)
o   memory management improved

Version 2.44, build #412 July 2, 2007

o   some internal procedures and algorithms improved
!!  fixed the error when Hard Drive Inspector showed constantly the message The Hard Drive Inspector coulnt set the disk into the Active Power Mode"

Version 2.43, build #407 June 25, 2007

+   added Hebrew language (thanks to Zilberman Tzahi)
o   memory management of the HDD Info Service improved

Version 2.42, build #402 June 13, 2007

o   some GUI changes were made for a better appearance under MS Windows Vista OS
o   renewed Czech language (thanks to Martin Knor)

Version 2.41, build #398 May 29, 2007

+   new Hard Drive Inspector for Notebooks version released
o   renewed Ukrainian language (thanks to Sergo M.)

Version 2.40, build #392 May 23, 2007

o   renewed Italian language (thanks to Raffaele Bassetti)
o   renewed Spanish language (thanks to Alberto Castillo)
o   fixed the bug when HDD Info Service might lock the supported by HDI USB drives during the "Safely Remove Hardware" procedure

Version 2.33, build #385 May 14, 2007

+   added Portuguese-Portugal language (thanks to Carlos Moreira)
o   renewed Hungarian language (thanks to Tibor Papp)
!!  fixed the bug when Hard Drive Inspector crashed at startup on Windows Vista OS with the enabled DEP (Data Execution Prevention) option

Version 2.32, build #380 May 7, 2007

+   added the support of USB disks based on the In-System Design chips (USB 2.0 ATA Bridge)
+   added Russian help file
o   renewed Slovak language (thanks to Miloslav Kurca)
o   renewed Armenian language (thanks to Hrant Ohanyan)

Version 2.31, build #377 April 30, 2007

+   added Arabic - Saudi Arabia language (thanks to Ammar Fatani)
+   added the option to change the color of the temperature icon text

Version 2.30, build #370 April 23, 2007

+   added the support of USB disks based on the I-O DATA chips
+   added Belarusian language (thanks to Jaroslav Bezlepkin)
+   all executable modules (.exe, .dll, .msi) including the setup mackage are now digitally signed by the certificate issued by VeriSign
o   Hard Drive Inspector doesn't support anymore Microsoft Windows 98/ME/NT 4.0 OS
!!  fixed few heap damage errors that might invoke the application crash

Version 2.23, build #363 April 17, 2007

+   added the ability to determine the Power-on time unit measure. It will require not more than 2 hours since the launching of HDD Info Service to determine exactly the Power-on time unit measure.
o   removed the procedure which detected incorrectly sometimes the physical location of the PATA drives because there were no more hard binding among PATA device physical locations and their positions in the OS since SATA controllers had been added on the motherboards. 
o   log.err file removed from the HDI's installation folder to the "<disk>:\Documents and Settings\<username>\Application Data" one
o   some help file improvements

Version 2.22, build #358 April 11, 2007

+   added Bulgarian language (thanks to Kiril)
o   added new temperature option "Show all temperatures in one window". See the Help for details.
o   changed the Trial period length from 30 to 14 days

Version 2.21, build #355 April 3, 2007

o   added the ability to resize main window
o   added the ability to enable S.M.A.R.T. on the HDDs in the USB enclosures
!!  fixed the error when there appeared the USB shadows of the PATA/SATA disks connected to the internal controllers sometimes
!!  fixed the drawing procedure of the "Temperature diagram" when changing temperature units from "Fahrenheit" to "Celsius" degree
!!  fixed the bug when the value of the "Play sound warning" option of the "Reliability Control" section of the "Options" dialog was not saved during the sessions and there was not ability to turn off the sound


Version 2.20, build #350 March 27, 2007

+   added the support of USB disks based on the Cypress AT2 chips (USB to ATA/ATAPI bridge)

!!  fixed the bug with the list control tooltip window when it appeared in the not prescribed position

Version 2.11, build #337 March 21, 2007

o   changed the drive filter system in the HDD Info Service in that way if a drive had no addressable sectors then it was skipped. It was done to skip ATAPI CD/DVD-ROMs that supported ATA commands.

!!  fixed the dialog sizing problems when non-standard screen DPI-settings were selected

Version 2.1, build #328 March 10, 2007

o   added "Skip drives that report wrong S.M.A.R.T. data" option

Version 2.1, build #327 March 8, 2007

o   renewed Greek language (thanks to Kostas Sidiropoulos)

o   renewed German language (thanks to Jόrgen Tomasi)

!!  fixed the bug in the HDD Temperature diagram in case when "10 seconds" time scale was selected and the temperature history was too long to be drawn on the screen

Version 2.0, build #323  February 23, 2007

o   renewed Chinese - Taiwan language (thanks to Joanna)

Version 2.0, build #317  February 13, 2007

+   added new "Basic" Mode for better usability

+   new color scheme was applied for the "Health Summary" View (the old name was "General Info" tab)

+   added "Automatic Acoustic Management" and "Advanced Power Management" features. See the "Options" dialog for details. 

+   "HDD Info Service" may launch Hard Drive Inspector in the following case when the status of your HDDs may become "Danger" at the time of Hard Drive Inspector's non-running.

+   added the changeable time scale to the "Temperature diagram". You can see temperature values in "10 seconds"/"1 minute"/"10 minutes"/"1 hour" time scales.

+   "HDD Info Service" stores HDD's temperature history so when Hard Drive Inspector starts it shows temperature history for all "HDD Info Service"'s run-time.

+   added "Power-on time" value calculated on the "Power-On Hours" attribute's raw value to the "General Info" view

o   "Options" dialog was renewed for better usability

o   help file was renewed for better usability

o   "Prognosis" tab was removed

o   renewed Hungarian language (thanks to Tibor Papp)

o   renewed Dutch - The Netherlands language (thanks to Koos van Riemsdijk)

o   renewed Armenian language (thanks to Hrant Ohanyan)

o   renewed Ukrainian language (thanks to Sergo M.)

o   many internal procedures and algorithms improved/fixed

Version 1.99, build #1023  February 8, 2007

+   added Hungarian language (thanks to Tibor Papp)

o   many internal procedures and algorithms improved/fixed

Version 1.98, build #1014  January 11, 2007

!!  fixed the bug when HDI couldn't detect HDDs if the SATA disks were configured to work in AHCI mode in the "IDE Configuration" section of BIOS

Version 1.97, build #1011  December 30, 2006

o   renewed Chinese - Taiwan language (thanks to Joanna)

Version 1.96, build #1007  December 14, 2006

+   added Dutch - The Netherlands language (thanks to Koos van Riemsdijk)

o   changed the "HDD Info Service" installation procedure. It doesn't require the OS restarting now.

Version 1.95, build #987  November 30, 2006

o   renewed Spanish language (thanks to Jeremy Mora)

!!  fixed the error when HDI could not be launched displaying message "Can't load dlgres.dll resource library" under MS Windows 98/ME OS

Version 1.94, build #984  November 22, 2006

!!  fixed the error when HDI icon appears in the ALT/Tab list of running programs in case when the "Hide in system status area" option was checked

Version 1.94, build #983  November 20, 2006

+   added Greek language (thanks to Kostas Sidiropoulos)

Version 1.93, build #978  November 8, 2006

!!  fixed the error when the main window didn't hide during the minimization procedure in case when the "Hide in system status area" option was checked

Version 1.93, build #977  October 31, 2006

o   changed the color of the description text in the "General Info" view in cases when HDD's status is not OK

o   few internal procedures and algorithms improved

Version 1.93, build #975  October 23, 2006

+   added Czech language (thanks to Jirν Bayer)

!!  fixed the error when HDI couldn't be launched on the MS Windows 98/ME/NT 4.0 systems because of the static linking to the InternetSetCallbackStatusW function in the wininet.dll

Version 1.92, build #970  October 9, 2006

+   added Chinese - Taiwan language (thanks to Joanna)

!!  fixed the error when HDI didn't launch a program specified in the "Run program" option of the "Temperature" and in the "Run program on critical changes" option of the "S.M.A.R.T. monitoring" sections of the "Options" dialog in the case when path contained spaces or quotation marks.

Version 1.91, build #965  September 28, 2006

o   registration scheme has been changed 

o   some internal procedures and algorithms improved 

Version 1.9, build #963  September 15, 2006

+   added Portuguese-Brazil language (thanks to Jesus Lopez Aros)

Version 1.88, build #954  August 19, 2006

+   added/changed the description of many S.M.A.R.T. attributes

Version 1.87, build #953  August 2, 2006

+   added Ukrainian language (thanks to Sergo M.)

Version 1.85, build #950  June 30, 2006

+   added Arabic - Syria language (thanks to Salem Almesmary)

+   added Vietnamese language (thanks to Vuong Do Thanh Huy)

o   identified S.M.A.R.T. attribute 190 for Western Digital disks

Version 1.8, build #931  May 24, 2006

+   a new registration key system. Note:  if you have already bought a license for Hard Drive Inspector, contact AltrixSoft Support Team for getting a new one.

o   new "Already Installed" installation page which is shown when the installation procedure is launched for the second time without uninstalling the previous version of Hard Drive Inspector

o   new "HDDs are in use since" installation page. It allows you to enter the date when you have started to utilize your HDDs. When this date is set, it becomes most likely that Hard Drive Inspector will be able to make a correct prognosis right at the moment, even if you just started to use Hard Drive Inspector. It also significantly improves the prognosiss quality. This date cannot be later than today and earlier than 01/01/1990. 

Version 1.7, build #923  April 13, 2006

+   added Slovak language (thanks to Miloslav Kurca) 

Version 1.6, build #920  March 23, 2006

+   added Chinese (China) language (thanks to XiaoSD)

Version 1.6, build #918  March 8, 2006

+   Hard Drive Inspector is now compatible with the Microsoft Layer for Unicode.

+   added Slovenian language (thanks to Jadran Rudec) 

Version 1.6, build #915  February 1, 2006

o   many code patched to be compatible with the Microsoft Layer for Unicode. The next version will be compiled with the Microsoft Layer for Unicode DLL (UnicoWS.dll).

o   the prognosis algorithm corrected

Version 1.5, build #908  February 1, 2006

+   added Dutch-Belgium language (thanks to Geert Pirens) 

Version 1.5, build #902  January 20, 2006

!!  fixed the error when focused some items, hitting the Enter key cleared the contents in the "S.M.A.R.T. details" and "Prognosis" views, "Options" dialog 

!!  In the "General Info" view when the "Death time" was over the message was like '-1 days left'. Changed to '1 days are past'. 

!!  fixed the GUI resource leaks and errors

Version 1.5, build #895  January 8, 2006

!!  fixed the error when the up and down scroll bar was not displayed even if the contents became too long on the advanced info view. This happened when there was one HDD in the PC. 

!!  fixed the problem of writing to the Application Event Log of incomplete information 

Version 1.5, build #893  November 26, 2005

+   a dded new feature to send mails through SMTP (see "Options" window topic) 

+   a dded Spanish language (thanks to Sergio Gustavo Rambaud) 

Version 1.4, build #877  October 5, 2005

+   a dded French language (thanks to Jean-Noλl Brandenburger) 

o   added # column with the S.M.A.R.T. attribute's number to the S.M.A.R.T. details table to lighten the searching procedure of attributes in the Help

Version 1.4, build #873  September 8, 2005

+   a dded German language (thanks to Jόrgen Tomasi) 

Version 1.4, build #870  August 24, 2005

o  help file, some internal procedures and algorithms improved

Version 1.3, build #848  July 14, 2005

o   fixed an error in the T.E.C. date prediction algorithm. It causes that Hard Drive Inspector tells about a near hdd's death time even if the "HDD is in use" date was entered correctly.

Version 1.3, build #847  June 14, 2005

+   a dded Italian language (thanks to Nicola Lazzaris) 

Version 1.3, build #846  May 31, 2005

o   help file, some internal procedures and algorithms improved

o   there's no more support of MS Windows 95 OS

Version 1.3, build #844  April 27, 2005

!!  fixed a bug applying to "Hard Drive Inspector is not able to deal with your hdd models now..." message under MS Windows 95 OSR2 / MS Windows 98 / MS Windows ME.

Version 1.3, build #842  April 8, 2005

!!  fixed a bug applying to "Hard Drive Inspector is not able to deal with your hdd models now..." message under MS Windows 2000.

Version 1.3, build #840  March 14, 2005

+   a more realistic T.E.C. date prediction algorithm

o   t he 'X' button minimizes to tray now. The only "Exit" menu exits the program. 

!!  many errors corrected:

    - the program disabled window contents display on movement, despite global Windows user settings;

    - temperature meters in the tray stopped being updated after some time;

    - in "General Info" temperature graph link and label for the second hard disk disappeared after some time;

    - SMART was updated only once on program start-up, despite the request of updating once an hour

    - and others.

Version 1.2, build #825  February 23, 2005

+   Added Norwegian (Bokmel) language (thanks to Eddie Johansen). 

Version 1.2, build #824  February 5, 2005

!!  fixed a serious error which may arise under Windows 95/98/ME with two messages: 1) "The ...\HDInspector.exe file appears to be corrupt. Reinstall the file, and then try again."; 2) "Windows cannot run this program because it is in an invalid format.".

Version 1.2, build #823  January 13, 2005

+   ability to operate with up to 32 hard disk drives on the Windows NT/2000/XP/2003 OS now (before only up to 4 disks)

+   detection of HDD's arrival/removal in the hot-swapping mode

+   a new registration key system. Note:  if you have already bought a license for Hard Drive Inspector, contact AltrixSoft Support Team for getting a new one.

o   the installation will not start until you have administrative rights on the local computer. It also won't run if you don't have MS Internet Explorer 4.0 or higher installed.

Version 1.1, build #807  November 29, 2004

o   many internal procedures and algorithms improved. 

Version 1.0, build #759  October 11, 2004

+    the first release 

Version 0.9, pre-release  November 17, 2003

+    many features added

!!   some major and a lot of minor bugs fixed

Version 0.2, first beta-version  December 25, 2002

+    the first beta-version

Version 0.1, first alpha-version  January 7, 2002

+    the first alpha-version